Bug 21226 - Remove use of retired OCLC xISBN service
Summary: Remove use of retired OCLC xISBN service
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Web services (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 21235
  Show dependency treegraph
 
Reported: 2018-08-15 06:15 UTC by Katrin Fischer
Modified: 2018-09-21 13:05 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
OCLC has now discontinued support for the xisbn service. One can continue to use the functionality that this service provided to Koha by switching on the ThingISBN preferences as an alternative.


Attachments
Bug 21226: DB Changes (3.34 KB, patch)
2018-08-15 15:07 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 21226: Remove xISBN services (4.29 KB, patch)
2018-08-15 15:07 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 21226: Remove table services_throttle (7.12 KB, patch)
2018-08-15 15:07 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 21226: DB Changes (3.36 KB, patch)
2018-08-15 15:10 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 21226: Remove xISBN services (4.29 KB, patch)
2018-08-15 15:10 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 21226: Remove table services_throttle (7.15 KB, patch)
2018-08-15 15:11 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 21226: DB Changes (3.36 KB, patch)
2018-08-15 15:12 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 21226: Remove xISBN services (5.92 KB, patch)
2018-08-15 15:12 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 21226: Remove table services_throttle (7.15 KB, patch)
2018-08-15 15:12 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 21226: DB Changes (3.42 KB, patch)
2018-08-16 11:51 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 21226: Remove xISBN services (5.98 KB, patch)
2018-08-16 11:52 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 21226: Remove table services_throttle (7.21 KB, patch)
2018-08-16 11:52 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 21226: DB Changes (3.48 KB, patch)
2018-08-16 13:04 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21226: Remove xISBN services (6.00 KB, patch)
2018-08-16 13:04 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2018-08-15 06:15:52 UTC
OCLC has decided to retire all xISBN services:
https://www.oclc.org/developer/news/2018/xid-decommission.en.html

The code for related features has to be removed from Koha.
Comment 1 Jonathan Druart 2018-08-15 15:07:14 UTC
Created attachment 77827 [details] [review]
Bug 21226: DB Changes

Remove prefs OCLCAffiliateID, XISBN and XISBNDailyLimit
Comment 2 Jonathan Druart 2018-08-15 15:07:18 UTC
Created attachment 77828 [details] [review]
Bug 21226: Remove xISBN services

OCLC has decided to retire all xISBN services:
https://www.oclc.org/developer/news/2018/xid-decommission.en.html

The code for related features has to be removed from Koha.

Test plan:
You need to be familiar with the different sysprefs (I am not):
- FRBRizeEditions
- SyndeticsEnabled
- SyndeticsEditions
- ThingISBN

Make sure there are no regressions introduced by this patchset.

QA Note: C4/XISBN.pm should be renammed
Comment 3 Jonathan Druart 2018-08-15 15:07:22 UTC
Created attachment 77829 [details] [review]
Bug 21226: Remove table services_throttle

This table was only used by XISBN, this patch remove the table and the
related code (cronjobs)
Comment 4 Jonathan Druart 2018-08-15 15:10:54 UTC
Created attachment 77830 [details] [review]
Bug 21226: DB Changes

Remove prefs OCLCAffiliateID, XISBN and XISBNDailyLimit
Comment 5 Jonathan Druart 2018-08-15 15:10:58 UTC
Created attachment 77831 [details] [review]
Bug 21226: Remove xISBN services

OCLC has decided to retire all xISBN services:
https://www.oclc.org/developer/news/2018/xid-decommission.en.html

The code for related features has to be removed from Koha.

Test plan:
You need to be familiar with the different sysprefs (I am not):
- FRBRizeEditions
- SyndeticsEnabled
- SyndeticsEditions
- ThingISBN

Make sure there are no regressions introduced by this patchset.

QA Note: C4/XISBN.pm should be renammed
Comment 6 Jonathan Druart 2018-08-15 15:11:02 UTC
Created attachment 77832 [details] [review]
Bug 21226: Remove table services_throttle

This table was only used by XISBN, this patch remove the table and the
related code (cronjobs)
Comment 7 Jonathan Druart 2018-08-15 15:12:11 UTC
Created attachment 77833 [details] [review]
Bug 21226: DB Changes

Remove prefs OCLCAffiliateID, XISBN and XISBNDailyLimit
Comment 8 Jonathan Druart 2018-08-15 15:12:16 UTC
Created attachment 77834 [details] [review]
Bug 21226: Remove xISBN services

OCLC has decided to retire all xISBN services:
https://www.oclc.org/developer/news/2018/xid-decommission.en.html

The code for related features has to be removed from Koha.

Test plan:
You need to be familiar with the different sysprefs (I am not):
- FRBRizeEditions
- SyndeticsEnabled
- SyndeticsEditions
- ThingISBN

Make sure there are no regressions introduced by this patchset.

QA Note: C4/XISBN.pm should be renammed
Comment 9 Jonathan Druart 2018-08-15 15:12:20 UTC
Created attachment 77836 [details] [review]
Bug 21226: Remove table services_throttle

This table was only used by XISBN, this patch remove the table and the
related code (cronjobs)
Comment 10 Kyle M Hall 2018-08-16 11:51:57 UTC
Created attachment 77902 [details] [review]
Bug 21226: DB Changes

Remove prefs OCLCAffiliateID, XISBN and XISBNDailyLimit

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 11 Kyle M Hall 2018-08-16 11:52:10 UTC
Created attachment 77903 [details] [review]
Bug 21226: Remove xISBN services

OCLC has decided to retire all xISBN services:
https://www.oclc.org/developer/news/2018/xid-decommission.en.html

The code for related features has to be removed from Koha.

Test plan:
You need to be familiar with the different sysprefs (I am not):
- FRBRizeEditions
- SyndeticsEnabled
- SyndeticsEditions
- ThingISBN

Make sure there are no regressions introduced by this patchset.

QA Note: C4/XISBN.pm should be renammed

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 12 Kyle M Hall 2018-08-16 11:52:13 UTC
Created attachment 77904 [details] [review]
Bug 21226: Remove table services_throttle

This table was only used by XISBN, this patch remove the table and the
related code (cronjobs)

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 13 Martin Renvoize 2018-08-16 12:50:01 UTC
I think we might be breaking the terms of service for ThingISBN inadvertently before this patch.  There's a loose mention of a 1000 query limit on the followup blog post announcing it's availability and with the removal of OCLC's service, this could become more of a problem if libraries decide to switch.

http://blog.librarything.com/thingology/2008/01/while-you-were-sleeping-thingisbn-got-better/

Perhaps rather than removing the services throttle code we should switch to using it for the ThingISBN calls?

I've reached out to Tim at LibraryThing for comment.
Comment 14 Martin Renvoize 2018-08-16 13:04:05 UTC
Created attachment 77918 [details] [review]
Bug 21226: DB Changes

Remove prefs OCLCAffiliateID, XISBN and XISBNDailyLimit

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 15 Martin Renvoize 2018-08-16 13:04:10 UTC
Created attachment 77919 [details] [review]
Bug 21226: Remove xISBN services

OCLC has decided to retire all xISBN services:
https://www.oclc.org/developer/news/2018/xid-decommission.en.html

The code for related features has to be removed from Koha.

Test plan:
You need to be familiar with the different sysprefs (I am not):
- FRBRizeEditions
- SyndeticsEnabled
- SyndeticsEditions
- ThingISBN

Make sure there are no regressions introduced by this patchset.

QA Note: C4/XISBN.pm should be renammed

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 16 Martin Renvoize 2018-08-16 13:12:44 UTC
I have moved the services throttle removal patch into it's own bug (bug 21235) as it may be required/helpful for adding throttling to ThingISBN pending feedback from the LibraryThing maintainers.

I have passed qa on the remaining patches.
Comment 17 Nick Clemens 2018-08-16 14:06:53 UTC
Awesome work all!

Pushed top master for 18.11
Comment 18 Martin Renvoize 2018-08-16 14:38:45 UTC
Pushed to 18.05.x for 18.05.03
Comment 19 Fridolin SOMERS 2018-08-30 07:20:05 UTC
Pushed to 17.11.x for 17.11.10